aboutsummaryrefslogtreecommitdiffstats
path: root/resources
diff options
context:
space:
mode:
Diffstat (limited to 'resources')
-rw-r--r--resources/libraries/bash/function/gather.sh134
-rw-r--r--resources/libraries/robot/shared/default.robot67
-rw-r--r--resources/libraries/robot/shared/test_setup.robot16
-rw-r--r--resources/libraries/robot/shared/test_teardown.robot10
-rw-r--r--resources/templates/kubernetes/calico_v2.6.3.yaml459
-rw-r--r--resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-2memif-1drcl2xc-1paral.yaml83
-rw-r--r--resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-2memif-2drcl2xc-1horiz.yaml105
-rw-r--r--resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-2memif-4drcl2xc-1horiz.yaml152
-rw-r--r--resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-4memif-2drcl2xc-1chain.yaml106
-rw-r--r--resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-8memif-4drcl2xc-1chain.yaml152
-rw-r--r--resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-2memif-1drcl2xc-1paral.yaml69
-rw-r--r--resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-2memif-2drcl2xc-1horiz.yaml92
-rw-r--r--resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-2memif-4drcl2xc-1horiz.yaml138
-rw-r--r--resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-4memif-2drcl2xc-1chain.yaml92
-rw-r--r--resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-8memif-4drcl2xc-1chain.yaml150
-rw-r--r--resources/templates/kubernetes/configmaps/vnf-agent-cfg.yaml15
-rw-r--r--resources/templates/kubernetes/configmaps/vswitch-agent-cfg.yaml15
-rw-r--r--resources/templates/kubernetes/namespaces/csit.yaml4
-rw-r--r--resources/templates/kubernetes/pods/contiv-sfc-controller.yaml21
-rw-r--r--resources/templates/kubernetes/pods/contiv-vnf.yaml47
-rw-r--r--resources/templates/kubernetes/pods/contiv-vswitch.yaml54
-rw-r--r--resources/templates/kubernetes/pods/etcdv3.yaml25
-rw-r--r--resources/templates/kubernetes/pods/kafka.yaml22
-rw-r--r--resources/tools/presentation/conf.py1
24 files changed, 1 insertions, 2028 deletions
diff --git a/resources/libraries/bash/function/gather.sh b/resources/libraries/bash/function/gather.sh
index 1fc2d3e604..429a2cc91f 100644
--- a/resources/libraries/bash/function/gather.sh
+++ b/resources/libraries/bash/function/gather.sh
@@ -34,7 +34,7 @@ function gather_build () {
# Functions called:
# - die - Print to stderr and exit, defined in common.sh
# - gather_os - Parse os parameter for OS/distro name.
- # - gather_dpdk, gather_vpp, gather_ligato - See their definitions.
+ # - gather_dpdk, gather_vpp - See their definitions.
# Multiple other side effects are possible,
# see functions called from here for their current description.
@@ -53,10 +53,6 @@ function gather_build () {
DUT="vpp"
gather_vpp || die "The function should have died on error."
;;
- *"ligato"*)
- DUT="kubernetes"
- gather_ligato || die "The function should have died on error."
- ;;
*"dpdk"*)
DUT="dpdk"
gather_dpdk || die "The function should have died on error."
@@ -115,133 +111,6 @@ function gather_dpdk () {
}
-function gather_ligato () {
-
- # Build docker image (with vpp, ligato and vpp-agent),
- # and put it to ${DOWNLOAD_DIR}/.
- #
- # Access rights needed for:
- # - "wget", "git clone", "dpdk -x", "cd" above ${CSIT_DIR}.
- # - "sudo" without password.
- # - With sudo:
- # - "dpdk -i" is allowed.
- # - "docker" commands have everything they needs.
- # Variables read:
- # - DOWNLOAD_DIR - Path to directory pybot takes the build to test from.
- # - CSIT_DIR - Path to existing root of local CSIT git repository.
- # Files read:
- # - ${CSIT_DIR}/VPP_AGENT_STABLE_VER - Vpp agent version to use.
- # Directories updated:
- # - ${DOWNLOAD_DIR} - Docker image stored, VPP *.deb stored and deleted.
- # - /tmp/vpp - VPP is unpacked there, not cleaned afterwards.
- # - ${CSIT_DIR}/vpp-agent - Created, vpp-agent git repo si cloned there.
- # - Also, various temporary files are stored there.
- # System consequences:
- # - Docker package is installed.
- # - Presumably dockerd process is started.
- # - The ligato/dev-vpp-agent docker image is downloaded.
- # - Results of subsequent image manipulation are probably left lingering.
- # Other hardcoded values:
- # - Docker .deb file name to download and install.
- # Functions called:
- # - die - Print to stderr and exit, defined in common_functions.sh
- # - gather_vpp - See eponymous fragment file assumend to be sourced already.
- # TODO: What is the best order of description items?
-
- # TODO: Many of the following comments act as abstraction.
- # But the abstracted blocks are mostly one-liners (plus "|| die"),
- # so maybe it is not worth introducing fragments/functions for the blocks.
- # TODO: This fragment is too long anyway, split it up.
-
- set -exuo pipefail
-
- gather_vpp || die "The function should have died on error."
-
- mkdir -p /tmp/vpp && rm -f /tmp/vpp/* || {
- die "Failed to create temporary directory!"
- }
- dpkg -x "${DOWNLOAD_DIR}/vpp_"*".deb" "/tmp/vpp" || {
- die "Failed to extract VPP packages for kubernetes!"
- }
-
- ligato_repo_url="https://github.com/ligato/"
- vpp_agent_stable_ver="$(< "${CSIT_DIR}/VPP_AGENT_STABLE_VER")" || {
- die "Failed to read vpp-agent stable version!"
- }
-
- # Clone & checkout stable vpp-agent.
- cd "${CSIT_DIR}" || die "Change directory failed!"
- git clone -b master --single-branch \
- "${ligato_repo_url}/vpp-agent" "vpp-agent" || {
- die "Failed to run: git clone ${ligato_repo_url}/vpp-agent!"
- }
- cd "vpp-agent" || die "Change directory failed!"
-
- # Install Docker.
- curl -fsSL https://get.docker.com | sudo bash || {
- die "Failed to install Docker package!"
- }
-
- # Pull ligato/dev_vpp_agent docker image and re-tag as local.
- sudo docker pull "ligato/dev-vpp-agent:${vpp_agent_stable_ver}" || {
- die "Failed to pull Docker image!"
- }
- params=(ligato/dev-vpp-agent:${vpp_agent_stable_ver} dev_vpp_agent:latest)
- sudo docker tag "${params[@]}" || {
- die "Failed to tag Docker image!"
- }
-
- # Start dev_vpp_agent container as daemon.
- sudo docker run --rm -itd --name "agentcnt" "dev_vpp_agent" bash || {
- die "Failed to run Docker image!"
- }
-
- # Copy latest vpp api into running container.
- sudo docker exec agentcnt rm -rf "agentcnt:/usr/share/vpp/api" || {
- die "Failed to remove previous API!"
- }
- sudo docker cp "/tmp/vpp/usr/share/vpp/api" "agentcnt:/usr/share/vpp" || {
- die "Failed to copy files Docker image!"
- }
-
- # Recompile vpp-agent.
- script_arg=". ~/.bashrc; cd /go/src/github.com/ligato/vpp-agent"
- script_arg+=" && make generate && make install"
- sudo docker exec -i agentcnt script -qec "${script_arg}" || {
- die "Failed to recompile vpp-agent in Docker image!"
- }
- # Make sure .deb files of other version are not present.
- rm_cmd="rm -vf /opt/vpp-agent/dev/vpp/build-root/vpp*.deb /opt/vpp/*.deb"
- sudo docker exec agentcnt bash -c "${rm_cmd}" || {
- die "Failed to remove VPP debian packages!"
- }
- for f in "${DOWNLOAD_DIR}"/*; do
- sudo docker cp "$f" "agentcnt:/opt/vpp-agent/dev/vpp/build-root"/ || {
- die "Failed to copy files to Docker image!"
- }
- done
- # Save container state.
- sudo docker commit "$(sudo docker ps -q)" "dev_vpp_agent:latest" || {
- die "Failed to commit state of Docker image!"
- }
-
- # Build prod_vpp_agent docker image.
- cd "docker/prod" || die "Change directory failed."
- sudo docker build --tag "prod_vpp_agent" --no-cache "." || {
- die "Failed to build Docker image!"
- }
- # Export Docker image.
- sudo docker save "prod_vpp_agent" | gzip > "prod_vpp_agent.tar.gz" || {
- die "Failed to save Docker image!"
- }
- docker_image="$(readlink -e "prod_vpp_agent.tar.gz")" || {
- die "Failed to get Docker image path!"
- }
- rm -r "${DOWNLOAD_DIR}/vpp"* || die "Failed to remove VPP packages!"
- mv "${docker_image}" "${DOWNLOAD_DIR}"/ || die "Failed to move image!"
-}
-
-
function gather_vpp () {
# Variables read:
@@ -269,7 +138,6 @@ function gather_vpp () {
set -exuo pipefail
case "${TEST_CODE}" in
- # Not csit-vpp as this code is re-used by ligato gathering.
"csit-"*)
# Use downloaded packages with specific version.
if [[ "${TEST_CODE}" == *"daily"* ]] || \
diff --git a/resources/libraries/robot/shared/default.robot b/resources/libraries/robot/shared/default.robot
index 8bad73d70e..c0b61fcea9 100644
--- a/resources/libraries/robot/shared/default.robot
+++ b/resources/libraries/robot/shared/default.robot
@@ -369,70 +369,3 @@
| | Vpp Show Errors On All DUTs | ${nodes}
| | Verify VPP PID in Teardown
| | Clean Sockets On All Nodes | ${nodes}
-
-# TODO: Cleanup when ligato is gone.
-| Create Kubernetes VSWITCH startup config on all DUTs
-| | [Documentation] | Create base startup configuration of VSWITCH in Kubernetes
-| | ... | deploy to all DUTs.
-| | ...
-| | ... | *Arguments:*
-| | ... | - ${jumbo} - Jumbo packet. Type: boolean
-| | ... | - ${phy_cores} - Physical cores. Type: integer
-| | ... | - ${rxq} - RX queues. Type: integer
-| | ...
-| | ... | *Example:*
-| | ...
-| | ... | \| Create Kubernetes VSWITCH startup config on all DUTs \| ${True} \
-| | ... | \| ${1} \| ${1}
-| | ...
-| | [Arguments] | ${phy_cores} | ${rx_queues}=${None} | ${jumbo}=${False}
-| | ...
-| | ${cpu_count_int} | Convert to Integer | ${phy_cores}
-| | ${thr_count_int} | Convert to Integer | ${phy_cores}
-| | :FOR | ${dut} | IN | @{duts}
-| | | ${numa}= | Get interfaces numa node | ${nodes['${dut}']}
-| | | ... | ${${dut}_if1} | ${${dut}_if2}
-| | | ${smt_used}= | Is SMT enabled | ${nodes['${dut}']['cpuinfo']}
-| | | ${if1_pci}= | Get Interface PCI Addr | ${nodes['${dut}']} | ${${dut}_if1}
-| | | ${if2_pci}= | Get Interface PCI Addr | ${nodes['${dut}']} | ${${dut}_if2}
-| | | ${thr_count_int}= | Run keyword if | ${smt_used}
-| | | ... | Evaluate | int(${cpu_count_int}*2)
-| | | ... | ELSE | Set variable | ${thr_count_int}
-| | | ${rxq_count_int}= | Run keyword if | ${rx_queues}
-| | | ... | Set variable | ${rx_queues}
-| | | ... | ELSE | Evaluate | int(${thr_count_int}/2)
-| | | ${rxq_count_int}= | Run keyword if | ${rxq_count_int} == 0
-| | | ... | Set variable | ${1}
-| | | ... | ELSE | Set variable | ${rxq_count_int}
-| | | ${config}= | Run keyword | Create Kubernetes VSWITCH startup config
-| | | ... | node=${nodes['${dut}']} | phy_cores=${phy_cores}
-| | | ... | cpu_node=${numa} | jumbo=${jumbo} | rxq_count_int=${rxq_count_int}
-| | | ... | buffers_per_numa=${215040}
-| | | ... | filename=/tmp/vswitch.conf | if1=${if1_pci} | if2=${if2_pci}
-| | | Run keyword if | ${thr_count_int} > 1
-| | | ... | Set Tags | MTHREAD | ELSE | Set Tags | STHREAD
-| | | Set Tags | ${thr_count_int}T${cpu_count_int}C
-| | Set Test Variable | ${smt_used}
-| | Set Test Variable | ${thr_count_int}
-| | Set Test Variable | ${cpu_count_int}
-| | Set Test Variable | ${rxq_count_int}
-
-# TODO: Cleanup when ligato is gone.
-| Create Kubernetes VNF'${i}' startup config on all DUTs
-| | [Documentation] | Create base startup configuration of VNF in Kubernetes
-| | ... | deploy to all DUTs.
-| | ...
-| | ${i_int}= | Convert To Integer | ${i}
-| | ${cpu_skip}= | Evaluate | ${vswitch_cpus}+${system_cpus}
-| | ${dut1_numa}= | Get interfaces numa node | ${dut1}
-| | ... | ${dut1_if1} | ${dut1_if2}
-| | ${dut2_numa}= | Get interfaces numa node | ${dut2}
-| | ... | ${dut2_if1} | ${dut2_if2}
-| | ${config}= | Run keyword | Create Kubernetes VNF startup config
-| | ... | node=${dut1} | phy_cores=${vnf_cpus} | cpu_node=${dut1_numa}
-| | ... | cpu_skip=${cpu_skip} | filename=/tmp/vnf${i}.conf
-| | ... | i=${i_int}
-| | ${config}= | Run keyword | Create Kubernetes VNF startup config
-| | ... | node=${dut2} | phy_cores=${vnf_cpus} | cpu_node=${dut2_numa}
-| | ... | cpu_skip=${cpu_skip} | filename=/tmp/vnf${i}.conf
-| | ... | i=${i_int}
diff --git a/resources/libraries/robot/shared/test_setup.robot b/resources/libraries/robot/shared/test_setup.robot
index 17e9e6c459..c90ed68a79 100644
--- a/resources/libraries/robot/shared/test_setup.robot
+++ b/resources/libraries/robot/shared/test_setup.robot
@@ -39,19 +39,3 @@
| | ...
| | :FOR | ${dut} | IN | @{duts}
| | | Clean Up Namespaces | ${nodes['${dut}']}
-
-| Additional Test Setup Action For ligato
-| | [Documentation]
-| | ... | Additional Setup for tests which uses Ligato Kubernetes.
-| | ...
-| | Apply Kubernetes resource on all duts | ${nodes} | namespaces/csit.yaml
-| | Apply Kubernetes resource on all duts | ${nodes} | pods/kafka.yaml
-| | Apply Kubernetes resource on all duts | ${nodes} | pods/etcdv3.yaml
-| | Apply Kubernetes resource on all duts | ${nodes}
-| | ... | configmaps/vswitch-agent-cfg.yaml
-| | Apply Kubernetes resource on all duts | ${nodes}
-| | ... | configmaps/vnf-agent-cfg.yaml
-| | Apply Kubernetes resource on all duts | ${nodes}
-| | ... | pods/contiv-sfc-controller.yaml
-| | Apply Kubernetes resource on all duts | ${nodes}
-| | ... | pods/contiv-vswitch.yaml
diff --git a/resources/libraries/robot/shared/test_teardown.robot b/resources/libraries/robot/shared/test_teardown.robot
index 0beeff4484..336cff5dad 100644
--- a/resources/libraries/robot/shared/test_teardown.robot
+++ b/resources/libraries/robot/shared/test_teardown.robot
@@ -129,13 +129,3 @@
| | ... | Show SR Steering Policies on all DUTs | ${nodes}
| | Run Keyword If Test Failed
| | ... | Show SR LocalSIDs on all DUTs | ${nodes}
-
-| Additional Test Tear Down Action For ligato
-| | [Documentation]
-| | ... | Additional teardown for performance tests with Ligato.
-| | ...
-| | Run Keyword If Test Failed
-| | ... | Get Kubernetes logs on all DUTs | ${nodes} | csit
-| | Run Keyword If Test Failed
-| | ... | Describe Kubernetes resource on all DUTs | ${nodes} | csit
-| | Delete Kubernetes resource on all DUTs | ${nodes} | csit
diff --git a/resources/templates/kubernetes/calico_v2.6.3.yaml b/resources/templates/kubernetes/calico_v2.6.3.yaml
deleted file mode 100644
index c77b19cccc..0000000000
--- a/resources/templates/kubernetes/calico_v2.6.3.yaml
+++ /dev/null
@@ -1,459 +0,0 @@
-# Calico Version v2.6.3
-# https://docs.projectcalico.org/v2.6/releases#v2.6.3
-# This manifest includes the following component versions:
-# calico/node:v2.6.3
-# calico/cni:v1.11.1
-# calico/kube-controllers:v1.0.1
-
-# This ConfigMap is used to configure a self-hosted Calico installation.
-kind: ConfigMap
-apiVersion: v1
-metadata:
- name: calico-config
- namespace: kube-system
-data:
- # The location of your etcd cluster. This uses the Service clusterIP
- # defined below.
- etcd_endpoints: "http://10.96.232.136:6666"
-
- # Configure the Calico backend to use.
- calico_backend: "bird"
-
- # The CNI network configuration to install on each node.
- cni_network_config: |-
- {
- "name": "k8s-pod-network",
- "cniVersion": "0.1.0",
- "type": "calico",
- "etcd_endpoints": "__ETCD_ENDPOINTS__",
- "log_level": "info",
- "mtu": 1500,
- "ipam": {
- "type": "calico-ipam"
- },
- "policy": {
- "type": "k8s",
- "k8s_api_root": "https://__KUBERNETES_SERVICE_HOST__:__KUBERNETES_SERVICE_PORT__",
- "k8s_auth_token": "__SERVICEACCOUNT_TOKEN__"
- },
- "kubernetes": {
- "kubeconfig": "/etc/cni/net.d/__KUBECONFIG_FILENAME__"
- }
- }
-
----
-
-# This manifest installs the Calico etcd on the kubeadm master. This uses a DaemonSet
-# to force it to run on the master even when the master isn't schedulable, and uses
-# nodeSelector to ensure it only runs on the master.
-apiVersion: extensions/v1beta1
-kind: DaemonSet
-metadata:
- name: calico-etcd
- namespace: kube-system
- labels:
- k8s-app: calico-etcd
-spec:
- template:
- metadata:
- labels:
- k8s-app: calico-etcd
- annotations:
- # Mark this pod as a critical add-on; when enabled, the critical add-on scheduler
- # reserves resources for critical add-on pods so that they can be rescheduled after
- # a failure. This annotation works in tandem with the toleration below.
- scheduler.alpha.kubernetes.io/critical-pod: ''
- spec:
- # Only run this pod on the master.
- tolerations:
- # this taint is set by all kubelets running `--cloud-provider=external`
- # so we should tolerate it to schedule the calico pods
- - key: node.cloudprovider.kubernetes.io/uninitialized
- value: "true"
- effect: NoSchedule
- - key: node-role.kubernetes.io/master
- effect: NoSchedule
- # Allow this pod to be rescheduled while the node is in "critical add-ons only" mode.
- # This, along with the annotation above marks this pod as a critical add-on.
- - key: CriticalAddonsOnly
- operator: Exists
- nodeSelector:
- node-role.kubernetes.io/master: ""
- hostNetwork: true
- containers:
- - name: calico-etcd
- image: quay.io/coreos/etcd:v3.1.10
- env:
- - name: CALICO_ETCD_IP
- valueFrom:
- fieldRef:
- fieldPath: status.podIP
- command: ["/bin/sh","-c"]
- args: ["/usr/local/bin/etcd --name=calico --data-dir=/var/etcd/calico-data --advertise-client-urls=http://$CALICO_ETCD_IP:6666 --listen-client-urls=http://0.0.0.0:6666 --listen-peer-urls=http://0.0.0.0:6667"]
- volumeMounts:
- - name: var-etcd
- mountPath: /var/etcd
- volumes:
- - name: var-etcd
- hostPath:
- path: /var/etcd
-
----
-
-# This manifest installs the Service which gets traffic to the Calico
-# etcd.
-apiVersion: v1
-kind: Service
-metadata:
- labels:
- k8s-app: calico-etcd
- name: calico-etcd
- namespace: kube-system
-spec:
- # Select the calico-etcd pod running on the master.
- selector:
- k8s-app: calico-etcd
- # This ClusterIP needs to be known in advance, since we cannot rely
- # on DNS to get access to etcd.
- clusterIP: 10.96.232.136
- ports:
- - port: 6666
-
----
-
-# This manifest installs the calico/node container, as well
-# as the Calico CNI plugins and network config on
-# each master and worker node in a Kubernetes cluster.
-kind: DaemonSet
-apiVersion: extensions/v1beta1
-metadata:
- name: calico-node
- namespace: kube-system
- labels:
- k8s-app: calico-node
-spec:
- selector:
- matchLabels:
- k8s-app: calico-node
- template:
- metadata:
- labels:
- k8s-app: calico-node
- annotations:
- # Mark this pod as a critical add-on; when enabled, the critical add-on scheduler
- # reserves resources for critical add-on pods so that they can be rescheduled after
- # a failure. This annotation works in tandem with the toleration below.
- scheduler.alpha.kubernetes.io/critical-pod: ''
- spec:
- hostNetwork: true
- tolerations:
- # this taint is set by all kubelets running `--cloud-provider=external`
- # so we should tolerate it to schedule the calico pods
- - key: node.cloudprovider.kubernetes.io/uninitialized
- value: "true"
- effect: NoSchedule
- - key: node-role.kubernetes.io/master
- effect: NoSchedule
- # Allow this pod to be rescheduled while the node is in "critical add-ons only" mode.
- # This, along with the annotation above marks this pod as a critical add-on.
- - key: CriticalAddonsOnly
- operator: Exists
- serviceAccountName: calico-cni-plugin
- # Minimize downtime during a rolling upgrade or deletion; tell Kubernetes to do a "force
- # deletion": https://kubernetes.io/docs/concepts/workloads/pods/pod/#termination-of-pods.
- terminationGracePeriodSeconds: 0
- containers:
- # Runs calico/node container on each Kubernetes node. This
- # container programs network policy and routes on each
- # host.
- - name: calico-node
- image: quay.io/calico/node:v2.6.3
- env:
- # The location of the Calico etcd cluster.
- - name: ETCD_ENDPOINTS
- valueFrom:
- configMapKeyRef:
- name: calico-config
- key: etcd_endpoints
- # Enable BGP. Disable to enforce policy only.
- - name: CALICO_NETWORKING_BACKEND
- valueFrom:
- configMapKeyRef:
- name: calico-config
- key: calico_backend
- # Cluster type to identify the deployment type
- - name: CLUSTER_TYPE
- value: "kubeadm,bgp"
- # Set noderef for node controller.
- - name: CALICO_K8S_NODE_REF
- valueFrom:
- fieldRef:
- fieldPath: spec.nodeName
- # Disable file logging so `kubectl logs` works.
- - name: CALICO_DISABLE_FILE_LOGGING
- value: "true"
- # Set Felix endpoint to host default action to ACCEPT.
- - name: FELIX_DEFAULTENDPOINTTOHOSTACTION
- value: "ACCEPT"
- # Configure the IP Pool from which Pod IPs will be chosen.
- - name: CALICO_IPV4POOL_CIDR
- value: "192.168.0.0/16"
- - name: CALICO_IPV4POOL_IPIP
- value: "always"
- # Disable IPv6 on Kubernetes.
- - name: FELIX_IPV6SUPPORT
- value: "false"
- # Set MTU for tunnel device used if ipip is enabled
- - name: FELIX_IPINIPMTU
- value: "1440"
- # Set Felix logging to "info"
- - name: FELIX_LOGSEVERITYSCREEN
- value: "info"
- # Auto-detect the BGP IP address.
- - name: IP
- value: ""
- - name: FELIX_HEALTHENABLED
- value: "true"
- securityContext:
- privileged: true
- resources:
- requests:
- cpu: 250m
- livenessProbe:
- httpGet:
- path: /liveness
- port: 9099
- periodSeconds: 10
- initialDelaySeconds: 10
- failureThreshold: 6
- readinessProbe:
- httpGet:
- path: /readiness
- port: 9099
- periodSeconds: 10
- volumeMounts:
- - mountPath: /lib/modules
- name: lib-modules
- readOnly: true
- - mountPath: /var/run/calico
- name: var-run-calico
- readOnly: false
- # This container installs the Calico CNI binaries
- # and CNI network config file on each node.
- - name: install-cni
- image: quay.io/calico/cni:v1.11.1
- command: ["/install-cni.sh"]
- env:
- # The location of the Calico etcd cluster.
- - name: ETCD_ENDPOINTS
- valueFrom:
- configMapKeyRef:
- name: calico-config
- key: etcd_endpoints
- # The CNI network config to install on each node.
- - name: CNI_NETWORK_CONFIG
- valueFrom:
- configMapKeyRef:
- name: calico-config
- key: cni_network_config
- volumeMounts:
- - mountPath: /host/opt/cni/bin
- name: cni-bin-dir
- - mountPath: /host/etc/cni/net.d
- name: cni-net-dir
- volumes:
- # Used by calico/node.
- - name: lib-modules
- hostPath:
- path: /lib/modules
- - name: var-run-calico
- hostPath:
- path: /var/run/calico
- # Used to install CNI.
- - name: cni-bin-dir
- hostPath:
- path: /opt/cni/bin
- - name: cni-net-dir
- hostPath:
- path: /etc/cni/net.d
-
----
-
-# This manifest deploys the Calico Kubernetes controllers.
-# See https://github.com/projectcalico/kube-controllers
-apiVersion: extensions/v1beta1
-kind: Deployment
-metadata:
- name: calico-kube-controllers
- namespace: kube-system
- labels:
- k8s-app: calico-kube-controllers
-spec:
- # The controllers can only have a single active instance.
- replicas: 1
- strategy:
- type: Recreate
- template:
- metadata:
- name: calico-kube-controllers
- namespace: kube-system
- labels:
- k8s-app: calico-kube-controllers
- annotations:
- # Mark this pod as a critical add-on; when enabled, the critical add-on scheduler
- # reserves resources for critical add-on pods so that they can be rescheduled after
- # a failure. This annotation works in tandem with the toleration below.
- scheduler.alpha.kubernetes.io/critical-pod: ''
- spec:
- # The controllers must run in the host network namespace so that
- # it isn't governed by policy that would prevent it from working.
- hostNetwork: true
- tolerations:
- # this taint is set by all kubelets running `--cloud-provider=external`
- # so we should tolerate it to schedule the calico pods
- - key: node.cloudprovider.kubernetes.io/uninitialized
- value: "true"
- effect: NoSchedule
- - key: node-role.kubernetes.io/master
- effect: NoSchedule
- # Allow this pod to be rescheduled while the node is in "critical add-ons only" mode.
- # This, along with the annotation above marks this pod as a critical add-on.
- - key: CriticalAddonsOnly
- operator: Exists
- serviceAccountName: calico-kube-controllers
- containers:
- - name: calico-kube-controllers
- image: quay.io/calico/kube-controllers:v1.0.1
- env:
- # The location of the Calico etcd cluster.
- - name: ETCD_ENDPOINTS
- valueFrom:
- configMapKeyRef:
- name: calico-config
- key: etcd_endpoints
- # The location of the Kubernetes API. Use the default Kubernetes
- # service for API access.
- - name: K8S_API
- value: "https://kubernetes.default:443"
- # Choose which controllers to run.
- - name: ENABLED_CONTROLLERS
- value: policy,profile,workloadendpoint,node
- # Since we're running in the host namespace and might not have KubeDNS
- # access, configure the container's /etc/hosts to resolve
- # kubernetes.default to the correct service clusterIP.
- - name: CONFIGURE_ETC_HOSTS
- value: "true"
-
----
-
-# This deployment turns off the old "policy-controller". It should remain at 0 replicas, and then
-# be removed entirely once the new kube-controllers deployment has been deployed above.
-apiVersion: extensions/v1beta1
-kind: Deployment
-metadata:
- name: calico-policy-controller
- namespace: kube-system
- labels:
- k8s-app: calico-policy-controller
-spec:
- # Turn this deployment off in favor of the kube-controllers deployment above.
- replicas: 0
- strategy:
- type: Recreate
- template:
- metadata:
- name: calico-policy-controller
- namespace: kube-system
- labels:
- k8s-app: calico-policy-controller
- spec:
- hostNetwork: true
- serviceAccountName: calico-kube-controllers
- containers:
- - name: calico-policy-controller
- image: quay.io/calico/kube-controllers:v1.0.1
- env:
- - name: ETCD_ENDPOINTS
- valueFrom:
- configMapKeyRef:
- name: calico-config
- key: etcd_endpoints
-
----
-
-apiVersion: rbac.authorization.k8s.io/v1beta1
-kind: ClusterRoleBinding
-metadata:
- name: calico-cni-plugin
-roleRef:
- apiGroup: rbac.authorization.k8s.io
- kind: ClusterRole
- name: calico-cni-plugin
-subjects:
-- kind: ServiceAccount
- name: calico-cni-plugin
- namespace: kube-system
-
----
-
-kind: ClusterRole
-apiVersion: rbac.authorization.k8s.io/v1beta1
-metadata:
- name: calico-cni-plugin
-rules:
- - apiGroups: [""]
- resources:
- - pods
- - nodes
- verbs:
- - get
-
----
-
-apiVersion: v1
-kind: ServiceAccount
-metadata:
- name: calico-cni-plugin
- namespace: kube-system
-
----
-
-apiVersion: rbac.authorization.k8s.io/v1beta1
-kind: ClusterRoleBinding
-metadata:
- name: calico-kube-controllers
-roleRef:
- apiGroup: rbac.authorization.k8s.io
- kind: ClusterRole
- name: calico-kube-controllers
-subjects:
-- kind: ServiceAccount
- name: calico-kube-controllers
- namespace: kube-system
-
----
-
-kind: ClusterRole
-apiVersion: rbac.authorization.k8s.io/v1beta1
-metadata:
- name: calico-kube-controllers
-rules:
- - apiGroups:
- - ""
- - extensions
- resources:
- - pods
- - namespaces
- - networkpolicies
- - nodes
- verbs:
- - watch
- - list
-
----
-
-apiVersion: v1
-kind: ServiceAccount
-metadata:
- name: calico-kube-controllers
- namespace: kube-system
diff --git a/resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-2memif-1drcl2xc-1paral.yaml b/resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-2memif-1drcl2xc-1paral.yaml
deleted file mode 100644
index fd457dd4a7..0000000000
--- a/resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-2memif-1drcl2xc-1paral.yaml
+++ /dev/null
@@ -1,83 +0,0 @@
----
-apiVersion: v1
-kind: ConfigMap
-metadata:
- name: sfc-controller-cfg
- namespace: csit
-data:
- etcd.conf: |
- insecure-transport: true
- dial-timeout: 1000000000
- endpoints:
- - "172.17.0.1:22379"
-
- sfc.conf: |
- sfc_controller_config_version: 2
- description: $$TEST_NAME$$
-
- system_parameters:
- mtu: 9000
-
- network_pod_to_node_map:
- - pod: vnf1
- node: vswitch
-
- network_nodes:
- - metadata:
- name: vswitch
- spec:
- node_type: host
- interfaces:
- - name: $$VSWITCH_IF1$$
- if_type: ethernet
- - name: $$VSWITCH_IF2$$
- if_type: ethernet
-
- network_services:
- - metadata:
- name: my-network-service
- spec:
- network_pods:
-
- - metadata:
- name: vnf1
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- connections:
-
- - conn_type: l2mp # bridge eth1 to vnf port 1
- pod_interfaces:
- - vnf1/port1
- node_interfaces:
- - vswitch/$$VSWITCH_IF1$$
- l2bd:
- name: eth1-vnf-port1
- bd_parms:
- flood: true
- unknown_unicast_flood: true
- forward: true
- learn: true
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf1
- - vnf1/port1
- - vnf1/port2
-
- - conn_type: l2mp # bridge eth2 to vnf port 2
- pod_interfaces:
- - vnf1/port2
- node_interfaces:
- - vswitch/$$VSWITCH_IF2$$
- l2bd:
- name: eth2-vnf-port2
- bd_parms:
- flood: true
- unknown_unicast_flood: true
- forward: true
- learn: true \ No newline at end of file
diff --git a/resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-2memif-2drcl2xc-1horiz.yaml b/resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-2memif-2drcl2xc-1horiz.yaml
deleted file mode 100644
index 7cb107dae7..0000000000
--- a/resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-2memif-2drcl2xc-1horiz.yaml
+++ /dev/null
@@ -1,105 +0,0 @@
----
-apiVersion: v1
-kind: ConfigMap
-metadata:
- name: sfc-controller-cfg
- namespace: csit
-data:
- etcd.conf: |
- insecure-transport: true
- dial-timeout: 1000000000
- endpoints:
- - "172.17.0.1:22379"
-
- sfc.conf: |
- sfc_controller_config_version: 2
- description: $$TEST_NAME$$
-
- system_parameters:
- mtu: 9000
-
- network_pod_to_node_map:
- - pod: vnf1
- node: vswitch
- - pod: vnf2
- node: vswitch
-
- network_nodes:
- - metadata:
- name: vswitch
- spec:
- node_type: host
- interfaces:
- - name: $$VSWITCH_IF1$$
- if_type: ethernet
- - name: $$VSWITCH_IF2$$
- if_type: ethernet
-
- network_services:
- - metadata:
- name: my-network-service
- spec:
- network_pods:
-
- - metadata:
- name: vnf1
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
- - metadata:
- name: vnf2
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- connections:
-
- - conn_type: l2mp # bridge eth1 to vnf1 port 1
- pod_interfaces:
- - vnf1/port1
- node_interfaces:
- - vswitch/$$VSWITCH_IF1$$
- l2bd:
- name: eth1-vnf-port1
- bd_parms:
- flood: true
- unknown_unicast_flood: true
- forward: true
- learn: true
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf1
- - vnf1/port1
- - vnf1/port2
-
- - conn_type: l2pp
- conn_method: direct
- pod_interfaces: # direct memif between vnf1 to vnf2
- - vnf1/port2
- - vnf2/port1
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf2
- - vnf2/port1
- - vnf2/port2
-
- - conn_type: l2mp # bridge eth2 to vnf2 port 2
- pod_interfaces:
- - vnf2/port2
- node_interfaces:
- - vswitch/$$VSWITCH_IF2$$
- l2bd:
- name: eth2-vnf-port2
- bd_parms:
- flood: true
- unknown_unicast_flood: true
- forward: true
- learn: true
diff --git a/resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-2memif-4drcl2xc-1horiz.yaml b/resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-2memif-4drcl2xc-1horiz.yaml
deleted file mode 100644
index af11149288..0000000000
--- a/resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-2memif-4drcl2xc-1horiz.yaml
+++ /dev/null
@@ -1,152 +0,0 @@
----
-apiVersion: v1
-kind: ConfigMap
-metadata:
- name: sfc-controller-cfg
- namespace: csit
-data:
- etcd.conf: |
- insecure-transport: true
- dial-timeout: 1000000000
- endpoints:
- - "172.17.0.1:22379"
-
- sfc.conf: |
- sfc_controller_config_version: 2
- description: $$TEST_NAME$$
-
- system_parameters:
- mtu: 9000
-
- network_pod_to_node_map:
- - pod: vnf1
- node: vswitch
- - pod: vnf2
- node: vswitch
- - pod: vnf3
- node: vswitch
- - pod: vnf4
- node: vswitch
-
- network_nodes:
- - metadata:
- name: vswitch
- spec:
- node_type: host
- interfaces:
- - name: $$VSWITCH_IF1$$
- if_type: ethernet
- - name: $$VSWITCH_IF2$$
- if_type: ethernet
-
- network_services:
- - metadata:
- name: my-network-service
- spec:
- network_pods:
-
- - metadata:
- name: vnf1
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- - metadata:
- name: vnf2
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- - metadata:
- name: vnf3
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- - metadata:
- name: vnf4
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- connections:
-
- - conn_type: l2mp # bridge eth1 to vnf1 port 1
- pod_interfaces:
- - vnf1/port1
- node_interfaces:
- - vswitch/$$VSWITCH_IF1$$
- l2bd:
- name: eth1-vnf-port1
- bd_parms:
- flood: true
- unknown_unicast_flood: true
- forward: true
- learn: true
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf1
- - vnf1/port1
- - vnf1/port2
-
- - conn_type: l2pp
- conn_method: direct
- pod_interfaces: # direct memif between vnf1 to vnf2
- - vnf1/port2
- - vnf2/port1
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf2
- - vnf2/port1
- - vnf2/port2
-
- - conn_type: l2pp
- conn_method: direct
- pod_interfaces: # direct memif between vnf2 to vnf3
- - vnf2/port2
- - vnf3/port1
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf3
- - vnf3/port1
- - vnf3/port2
-
- - conn_type: l2pp
- conn_method: direct
- pod_interfaces: # direct memif between vnf3 to vnf4
- - vnf3/port2
- - vnf4/port1
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf4
- - vnf4/port1
- - vnf4/port2
-
- - conn_type: l2mp # bridge eth2 to vnf4 port 2
- pod_interfaces:
- - vnf4/port2
- node_interfaces:
- - vswitch/$$VSWITCH_IF2$$
- l2bd:
- name: eth2-vnf-port2
- bd_parms:
- flood: true
- unknown_unicast_flood: true
- forward: true
- learn: true
diff --git a/resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-4memif-2drcl2xc-1chain.yaml b/resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-4memif-2drcl2xc-1chain.yaml
deleted file mode 100644
index d52b7f7310..0000000000
--- a/resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-4memif-2drcl2xc-1chain.yaml
+++ /dev/null
@@ -1,106 +0,0 @@
----
-apiVersion: v1
-kind: ConfigMap
-metadata:
- name: sfc-controller-cfg
- namespace: csit
-data:
- etcd.conf: |
- insecure-transport: true
- dial-timeout: 1000000000
- endpoints:
- - "172.17.0.1:22379"
-
- sfc.conf: |
- sfc_controller_config_version: 2
- description: $$TEST_NAME$$
-
- system_parameters:
- mtu: 9000
-
- network_pod_to_node_map:
- - pod: vnf1
- node: vswitch
- - pod: vnf2
- node: vswitch
-
- network_nodes:
- - metadata:
- name: vswitch
- spec:
- node_type: host
- interfaces:
- - name: $$VSWITCH_IF1$$
- if_type: ethernet
- - name: $$VSWITCH_IF2$$
- if_type: ethernet
-
- network_services:
- - metadata:
- name: my-network-service
- spec:
- network_pods:
-
- - metadata:
- name: vnf1
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- - metadata:
- name: vnf2
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- connections:
-
- - conn_type: l2mp # bridge eth1 to vnf1 port 1
- pod_interfaces:
- - vnf1/port1
- node_interfaces:
- - vswitch/$$VSWITCH_IF1$$
- l2bd:
- name: eth1-vnf-port1
- bd_parms:
- flood: true
- unknown_unicast_flood: true
- forward: true
- learn: true
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf1
- - vnf1/port1
- - vnf1/port2
-
- - conn_type: l2pp
- conn_method: vswitch
- pod_interfaces: # memif via vswitch between vnf1 to vnf2
- - vnf1/port2
- - vnf2/port1
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf2
- - vnf2/port1
- - vnf2/port2
-
- - conn_type: l2mp # bridge eth2 to vnf2 port 2
- pod_interfaces:
- - vnf2/port2
- node_interfaces:
- - vswitch/$$VSWITCH_IF2$$
- l2bd:
- name: eth2-vnf-port2
- bd_parms:
- flood: true
- unknown_unicast_flood: true
- forward: true
- learn: true
diff --git a/resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-8memif-4drcl2xc-1chain.yaml b/resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-8memif-4drcl2xc-1chain.yaml
deleted file mode 100644
index 317f282935..0000000000
--- a/resources/templates/kubernetes/configmaps/eth-1drcl2bdbasemaclrn-eth-8memif-4drcl2xc-1chain.yaml
+++ /dev/null
@@ -1,152 +0,0 @@
----
-apiVersion: v1
-kind: ConfigMap
-metadata:
- name: sfc-controller-cfg
- namespace: csit
-data:
- etcd.conf: |
- insecure-transport: true
- dial-timeout: 1000000000
- endpoints:
- - "172.17.0.1:22379"
-
- sfc.conf: |
- sfc_controller_config_version: 2
- description: $$TEST_NAME$$
-
- system_parameters:
- mtu: 9000
-
- network_pod_to_node_map:
- - pod: vnf1
- node: vswitch
- - pod: vnf2
- node: vswitch
- - pod: vnf3
- node: vswitch
- - pod: vnf4
- node: vswitch
-
- network_nodes:
- - metadata:
- name: vswitch
- spec:
- node_type: host
- interfaces:
- - name: $$VSWITCH_IF1$$
- if_type: ethernet
- - name: $$VSWITCH_IF2$$
- if_type: ethernet
-
- network_services:
- - metadata:
- name: my-network-service
- spec:
- network_pods:
-
- - metadata:
- name: vnf1
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- - metadata:
- name: vnf2
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- - metadata:
- name: vnf3
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- - metadata:
- name: vnf4
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- connections:
-
- - conn_type: l2mp # bridge eth1 to vnf1 port 1
- pod_interfaces:
- - vnf1/port1
- node_interfaces:
- - vswitch/$$VSWITCH_IF1$$
- l2bd:
- name: eth1-vnf-port1
- bd_parms:
- flood: true
- unknown_unicast_flood: true
- forward: true
- learn: true
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf1
- - vnf1/port1
- - vnf1/port2
-
- - conn_type: l2pp
- conn_method: vswitch
- pod_interfaces: # memif via vswitch between vnf1 to vnf2
- - vnf1/port2
- - vnf2/port1
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf2
- - vnf2/port1
- - vnf2/port2
-
- - conn_type: l2pp
- conn_method: vswitch
- pod_interfaces: # memif via vswitch between vnf2 to vnf3
- - vnf2/port2
- - vnf3/port1
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf3
- - vnf3/port1
- - vnf3/port2
-
- - conn_type: l2pp
- conn_method: vswitch
- pod_interfaces: # memif via vswitch between vnf3 to vnf4
- - vnf3/port2
- - vnf4/port1
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf4
- - vnf4/port1
- - vnf4/port2
-
- - conn_type: l2mp # bridge eth2 to vnf4 port 2
- pod_interfaces:
- - vnf4/port2
- node_interfaces:
- - vswitch/$$VSWITCH_IF2$$
- l2bd:
- name: eth2-vnf-port2
- bd_parms:
- flood: true
- unknown_unicast_flood: true
- forward: true
- learn: true
diff --git a/resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-2memif-1drcl2xc-1paral.yaml b/resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-2memif-1drcl2xc-1paral.yaml
deleted file mode 100644
index 42f7f8cfd8..0000000000
--- a/resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-2memif-1drcl2xc-1paral.yaml
+++ /dev/null
@@ -1,69 +0,0 @@
----
-apiVersion: v1
-kind: ConfigMap
-metadata:
- name: sfc-controller-cfg
- namespace: csit
-data:
- etcd.conf: |
- insecure-transport: true
- dial-timeout: 1000000000
- endpoints:
- - "172.17.0.1:22379"
-
- sfc.conf: |
- sfc_controller_config_version: 2
- description: $$TEST_NAME$$
-
- system_parameters:
- mtu: 9000
-
- network_pod_to_node_map:
- - pod: vnf1
- node: vswitch
-
- network_nodes:
- - metadata:
- name: vswitch
- spec:
- node_type: host
- interfaces:
- - name: $$VSWITCH_IF1$$
- if_type: ethernet
- - name: $$VSWITCH_IF2$$
- if_type: ethernet
-
- network_services:
- - metadata:
- name: my-network-service
- spec:
- network_pods:
-
- - metadata:
- name: vnf1
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- connections:
-
- - conn_type: l2pp # l2x eth1 to vnf port 1
- pod_interfaces:
- - vnf1/port1
- node_interfaces:
- - vswitch/$$VSWITCH_IF1$$
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf1
- - vnf1/port1
- - vnf1/port2
-
- - conn_type: l2pp # l2x eth2 to vnf port 2
- pod_interfaces:
- - vnf1/port2
- node_interfaces:
- - vswitch/$$VSWITCH_IF2$$
diff --git a/resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-2memif-2drcl2xc-1horiz.yaml b/resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-2memif-2drcl2xc-1horiz.yaml
deleted file mode 100644
index 9d8d700d48..0000000000
--- a/resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-2memif-2drcl2xc-1horiz.yaml
+++ /dev/null
@@ -1,92 +0,0 @@
----
-apiVersion: v1
-kind: ConfigMap
-metadata:
- name: sfc-controller-cfg
- namespace: csit
-data:
- etcd.conf: |
- insecure-transport: true
- dial-timeout: 1000000000
- endpoints:
- - "172.17.0.1:22379"
-
- sfc.conf: |
- sfc_controller_config_version: 2
- description: $$TEST_NAME$$
-
- system_parameters:
- mtu: 9000
-
- network_pod_to_node_map:
- - pod: vnf1
- node: vswitch
- - pod: vnf2
- node: vswitch
-
- network_nodes:
- - metadata:
- name: vswitch
- spec:
- node_type: host
- interfaces:
- - name: $$VSWITCH_IF1$$
- if_type: ethernet
- - name: $$VSWITCH_IF2$$
- if_type: ethernet
-
- network_services:
- - metadata:
- name: my-network-service
- spec:
- network_pods:
-
- - metadata:
- name: vnf1
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
- - metadata:
- name: vnf2
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- connections:
-
- - conn_type: l2pp # l2x eth1 to vnf1 port 1
- pod_interfaces:
- - vnf1/port1
- node_interfaces:
- - vswitch/$$VSWITCH_IF1$$
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf1
- - vnf1/port1
- - vnf1/port2
-
- - conn_type: l2pp
- conn_method: direct
- pod_interfaces: # direct memif between vnf1 to vnf2
- - vnf1/port2
- - vnf2/port1
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf2
- - vnf2/port1
- - vnf2/port2
-
- - conn_type: l2mp # l2x eth2 to vnf2 port 2
- pod_interfaces:
- - vnf2/port2
- node_interfaces:
- - vswitch/$$VSWITCH_IF2$$
-
diff --git a/resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-2memif-4drcl2xc-1horiz.yaml b/resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-2memif-4drcl2xc-1horiz.yaml
deleted file mode 100644
index 5d113f6943..0000000000
--- a/resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-2memif-4drcl2xc-1horiz.yaml
+++ /dev/null
@@ -1,138 +0,0 @@
----
-apiVersion: v1
-kind: ConfigMap
-metadata:
- name: sfc-controller-cfg
- namespace: csit
-data:
- etcd.conf: |
- insecure-transport: true
- dial-timeout: 1000000000
- endpoints:
- - "172.17.0.1:22379"
-
- sfc.conf: |
- sfc_controller_config_version: 2
- description: $$TEST_NAME$$
-
- system_parameters:
- mtu: 9000
-
- network_pod_to_node_map:
- - pod: vnf1
- node: vswitch
- - pod: vnf2
- node: vswitch
- - pod: vnf3
- node: vswitch
- - pod: vnf4
- node: vswitch
-
- network_nodes:
- - metadata:
- name: vswitch
- spec:
- node_type: host
- interfaces:
- - name: $$VSWITCH_IF1$$
- if_type: ethernet
- - name: $$VSWITCH_IF2$$
- if_type: ethernet
-
- network_services:
- - metadata:
- name: my-network-service
- spec:
- network_pods:
-
- - metadata:
- name: vnf1
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- - metadata:
- name: vnf2
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- - metadata:
- name: vnf3
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- - metadata:
- name: vnf4
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- connections:
-
- - conn_type: l2pp # l2x eth1 to vnf1 port 1
- pod_interfaces:
- - vnf1/port1
- node_interfaces:
- - vswitch/$$VSWITCH_IF1$$
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf1
- - vnf1/port1
- - vnf1/port2
-
- - conn_type: l2pp
- conn_method: direct
- pod_interfaces: # direct memif between vnf1 to vnf2
- - vnf1/port2
- - vnf2/port1
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf2
- - vnf2/port1
- - vnf2/port2
-
- - conn_type: l2pp
- conn_method: direct
- pod_interfaces: # direct memif between vnf2 to vnf3
- - vnf2/port2
- - vnf3/port1
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf3
- - vnf3/port1
- - vnf3/port2
-
- - conn_type: l2pp
- conn_method: direct
- pod_interfaces: # direct memif between vnf3 to vnf4
- - vnf3/port2
- - vnf4/port1
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf4
- - vnf4/port1
- - vnf4/port2
-
- - conn_type: l2pp # l2x eth2 to vnf4 port 2
- pod_interfaces:
- - vnf4/port2
- node_interfaces:
- - vswitch/$$VSWITCH_IF2$$
diff --git a/resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-4memif-2drcl2xc-1chain.yaml b/resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-4memif-2drcl2xc-1chain.yaml
deleted file mode 100644
index 8d4c28d7cf..0000000000
--- a/resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-4memif-2drcl2xc-1chain.yaml
+++ /dev/null
@@ -1,92 +0,0 @@
----
-apiVersion: v1
-kind: ConfigMap
-metadata:
- name: sfc-controller-cfg
- namespace: csit
-data:
- etcd.conf: |
- insecure-transport: true
- dial-timeout: 1000000000
- endpoints:
- - "172.17.0.1:22379"
-
- sfc.conf: |
- sfc_controller_config_version: 2
- description: $$TEST_NAME$$
-
- system_parameters:
- mtu: 9000
-
- network_pod_to_node_map:
- - pod: vnf1
- node: vswitch
- - pod: vnf2
- node: vswitch
-
- network_nodes:
- - metadata:
- name: vswitch
- spec:
- node_type: host
- interfaces:
- - name: $$VSWITCH_IF1$$
- if_type: ethernet
- - name: $$VSWITCH_IF2$$
- if_type: ethernet
-
- network_services:
- - metadata:
- name: my-network-service
- spec:
- network_pods:
-
- - metadata:
- name: vnf1
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- - metadata:
- name: vnf2
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
-
- connections:
-
- - conn_type: l2pp # l2x eth1 to vnf1 port 1
- pod_interfaces:
- - vnf1/port1
- node_interfaces:
- - vswitch/$$VSWITCH_IF1$$
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf1
- - vnf1/port1
- - vnf1/port2
-
- - conn_type: l2pp
- conn_method: vswitch
- pod_interfaces: # memif via vswitch between vnf1 to vnf2
- - vnf1/port2
- - vnf2/port1
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf2
- - vnf2/port1
- - vnf2/port2
-
- - conn_type: l2pp # l2x eth2 to vnf2 port 2
- pod_interfaces:
- - vnf2/port2
- node_interfaces:
- - vswitch/$$VSWITCH_IF2$$
diff --git a/resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-8memif-4drcl2xc-1chain.yaml b/resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-8memif-4drcl2xc-1chain.yaml
deleted file mode 100644
index 2716446b2f..0000000000
--- a/resources/templates/kubernetes/configmaps/eth-1drcl2xcbase-eth-8memif-4drcl2xc-1chain.yaml
+++ /dev/null
@@ -1,150 +0,0 @@
----
-apiVersion: v1
-kind: ConfigMap
-metadata:
- name: sfc-controller-cfg
- namespace: csit
-data:
- etcd.conf: |
- insecure-transport: true
- dial-timeout: 1000000000
- endpoints:
- - "172.17.0.1:22379"
-
- sfc.conf: |
- sfc_controller_config_version: 2
- description: $$TEST_NAME$$
-
- system_parameters:
- mtu: 9000
-
- network_pod_to_node_map:
- - pod: vnf1
- node: vswitch
- - pod: vnf2
- node: vswitch
- - pod: vnf3
- node: vswitch
- - pod: vnf4
- node: vswitch
-
- network_nodes:
- - metadata:
- name: vswitch
- spec:
- node_type: host
- interfaces:
- - name: $$VSWITCH_IF1$$
- if_type: ethernet
- - name: $$VSWITCH_IF2$$
- if_type: ethernet
-
- network_services:
- - metadata:
- name: my-network-service
- spec:
- network_pods:
-
- - metadata:
- name: vnf1
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- - name: port2
- if_type: memif
- memif_parms:
- inter_pod_conn: vswitch
-
- - metadata:
- name: vnf2
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- memif_parms:
- inter_pod_conn: vswitch
- - name: port2
- if_type: memif
- memif_parms:
- inter_pod_conn: vswitch
-
- - metadata:
- name: vnf3
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- memif_parms:
- inter_pod_conn: vswitch
- - name: port2
- if_type: memif
- memif_parms:
- inter_pod_conn: vswitch
-
- - metadata:
- name: vnf4
- spec:
- pod_type: vppcontainer
- interfaces:
- - name: port1
- if_type: memif
- memif_parms:
- inter_pod_conn: vswitch
- - name: port2
- if_type: memif
-
- connections:
-
- - conn_type: l2pp # l2x eth1 to vnf1 port 1
- pod_interfaces:
- - vnf1/port1
- node_interfaces:
- - vswitch/$$VSWITCH_IF1$$
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf1
- - vnf1/port1
- - vnf1/port2
-
- - conn_type: l2pp
- conn_method: vswitch
- pod_interfaces: # memif via vswitch between vnf1 to vnf2
- - vnf1/port2
- - vnf2/port1
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf2
- - vnf2/port1
- - vnf2/port2
-
- - conn_type: l2pp
- conn_method: vswitch
- pod_interfaces: # memif via vswitch between vnf2 to vnf3
- - vnf2/port2
- - vnf3/port1
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf3
- - vnf3/port1
- - vnf3/port2
-
- - conn_type: l2pp
- conn_method: vswitch
- pod_interfaces: # memif via vswitch between vnf3 to vnf4
- - vnf3/port2
- - vnf4/port1
-
- - conn_type: l2pp
- pod_interfaces: # l2x the ports on vnf4
- - vnf4/port1
- - vnf4/port2
-
- - conn_type: l2pp # l2x eth2 to vnf4 port 2
- pod_interfaces:
- - vnf4/port2
- node_interfaces:
- - vswitch/$$VSWITCH_IF2$$
diff --git a/resources/templates/kubernetes/configmaps/vnf-agent-cfg.yaml b/resources/templates/kubernetes/configmaps/vnf-agent-cfg.yaml
deleted file mode 100644
index 619639f980..0000000000
--- a/resources/templates/kubernetes/configmaps/vnf-agent-cfg.yaml
+++ /dev/null
@@ -1,15 +0,0 @@
-apiVersion: v1
-kind: ConfigMap
-metadata:
- name: vnf-agent-cfg
- namespace: csit
-data:
- etcd.conf: |
- insecure-transport: true
- dial-timeout: 1000000000
- endpoints:
- - "172.17.0.1:22379"
-
- telemetry.conf: |
- polling-interval: 30000000000
- disabled: true
diff --git a/resources/templates/kubernetes/configmaps/vswitch-agent-cfg.yaml b/resources/templates/kubernetes/configmaps/vswitch-agent-cfg.yaml
deleted file mode 100644
index 4c8122f239..0000000000
--- a/resources/templates/kubernetes/configmaps/vswitch-agent-cfg.yaml
+++ /dev/null
@@ -1,15 +0,0 @@
-apiVersion: v1
-kind: ConfigMap
-metadata:
- name: vswitch-agent-cfg
- namespace: csit
-data:
- etcd.conf: |
- insecure-transport: true
- dial-timeout: 1000000000
- endpoints:
- - "172.17.0.1:22379"
-
- telemetry.conf: |
- polling-interval: 30000000000
- disabled: true
diff --git a/resources/templates/kubernetes/namespaces/csit.yaml b/resources/templates/kubernetes/namespaces/csit.yaml
deleted file mode 100644
index 4ae72063e7..0000000000
--- a/resources/templates/kubernetes/namespaces/csit.yaml
+++ /dev/null
@@ -1,4 +0,0 @@
-apiVersion: v1
-kind: Namespace
-metadata:
- name: csit
diff --git a/resources/templates/kubernetes/pods/contiv-sfc-controller.yaml b/resources/templates/kubernetes/pods/contiv-sfc-controller.yaml
deleted file mode 100644
index 9fbb0e950c..0000000000
--- a/resources/templates/kubernetes/pods/contiv-sfc-controller.yaml
+++ /dev/null
@@ -1,21 +0,0 @@
-apiVersion: v1
-kind: Pod
-metadata:
- name: sfc-controller
- namespace: csit
-spec:
- containers:
- - name: "sfc-controller"
- image: ligato/prod_sfc_controller:v0.0.1-102-gc74fec6
- imagePullPolicy: Always
- command:
- - /bin/sfc-controller
- - -etcd-config=/opt/sfc-controller/dev/etcd.conf
- - -sfc-config=/opt/sfc-controller/dev/sfc.conf
- volumeMounts:
- - name: controller-config
- mountPath: /opt/sfc-controller/dev
- volumes:
- - name: controller-config
- configMap:
- name: sfc-controller-cfg
diff --git a/resources/templates/kubernetes/pods/contiv-vnf.yaml b/resources/templates/kubernetes/pods/contiv-vnf.yaml
deleted file mode 100644
index ee3f447e6a..0000000000
--- a/resources/templates/kubernetes/pods/contiv-vnf.yaml
+++ /dev/null
@@ -1,47 +0,0 @@
-apiVersion: v1
-kind: Pod
-metadata:
- name: $$VNF$$-vpp
- namespace: csit
-spec:
- containers:
- - name: $$VNF$$
- image: prod_vpp_agent
- imagePullPolicy: IfNotPresent
- securityContext:
- privileged: true
- ports:
- - containerPort: 5002
- - containerPort: 9191
- readinessProbe:
- httpGet:
- path: /readiness
- port: 9191
- periodSeconds: 1
- livenessProbe:
- httpGet:
- path: /liveness
- port: 9191
- initialDelaySeconds: 15
- env:
- - name: MICROSERVICE_LABEL
- value: $$VNF$$
- - name: INITIAL_LOGLVL
- value: debug
- volumeMounts:
- - name: vpp-config
- mountPath: /etc/vpp
- - name: agent-config
- mountPath: /opt/vpp-agent/dev
- - name: memif-sockets
- mountPath: /tmp
- volumes:
- - name: vpp-config
- configMap:
- name: $$VNF$$-vpp-cfg
- - name: agent-config
- configMap:
- name: vnf-agent-cfg
- - name: memif-sockets
- hostPath:
- path: /tmp
diff --git a/resources/templates/kubernetes/pods/contiv-vswitch.yaml b/resources/templates/kubernetes/pods/contiv-vswitch.yaml
deleted file mode 100644
index e987307195..0000000000
--- a/resources/templates/kubernetes/pods/contiv-vswitch.yaml
+++ /dev/null
@@ -1,54 +0,0 @@
-apiVersion: v1
-kind: Pod
-metadata:
- name: vswitch-vpp
- namespace: csit
-spec:
- hostNetwork: true
- containers:
- - name: "vswitch"
- image: prod_vpp_agent
- imagePullPolicy: IfNotPresent
- securityContext:
- privileged: true
- ports:
- - containerPort: 5002
- - containerPort: 9191
- readinessProbe:
- httpGet:
- path: /readiness
- port: 9191
- periodSeconds: 1
- livenessProbe:
- httpGet:
- path: /liveness
- port: 9191
- periodSeconds: 1
- initialDelaySeconds: 15
- env:
- - name: MICROSERVICE_LABEL
- value: vswitch
- - name: INITIAL_LOGLVL
- value: debug
- volumeMounts:
- - name: vpp-config
- mountPath: /etc/vpp
- - name: agent-config
- mountPath: /opt/vpp-agent/dev
- - name: memif-sockets
- mountPath: /tmp
- - name: device-uio
- mountPath: /dev
- volumes:
- - name: vpp-config
- configMap:
- name: vswitch-vpp-cfg
- - name: agent-config
- configMap:
- name: vswitch-agent-cfg
- - name: memif-sockets
- hostPath:
- path: /tmp
- - name: device-uio
- hostPath:
- path: /dev
diff --git a/resources/templates/kubernetes/pods/etcdv3.yaml b/resources/templates/kubernetes/pods/etcdv3.yaml
deleted file mode 100644
index f5f6b32435..0000000000
--- a/resources/templates/kubernetes/pods/etcdv3.yaml
+++ /dev/null
@@ -1,25 +0,0 @@
-apiVersion: v1
-kind: Pod
-metadata:
- name: etcdv3
- namespace: csit
-spec:
- hostNetwork: true
- containers:
- - image: quay.io/coreos/etcd:v3.0.16
- name: etcdv3
- command:
- - /usr/local/bin/etcd
- - --advertise-client-urls
- - http://0.0.0.0:22379
- - --listen-client-urls
- - http://0.0.0.0:22379
- - --listen-peer-urls
- - http://0.0.0.0:22380
- ports:
- - containerPort: 22379
- hostPort: 22379
- name: serverport
- env:
- - name: ETCDCTL_API
- value: "3"
diff --git a/resources/templates/kubernetes/pods/kafka.yaml b/resources/templates/kubernetes/pods/kafka.yaml
deleted file mode 100644
index 0bb8f1e5d7..0000000000
--- a/resources/templates/kubernetes/pods/kafka.yaml
+++ /dev/null
@@ -1,22 +0,0 @@
-apiVersion: v1
-kind: Pod
-metadata:
- name: kafka
- namespace: csit
-spec:
- hostNetwork: true
- containers:
- - image: spotify/kafka
- name: kafka
- ports:
- - containerPort: 2181
- hostPort: 2181
- name: zookeeper
- - containerPort: 9092
- hostPort: 9092
- name: kafka
- env:
- - name: ADVERTISED_HOST
- value: "172.17.0.1"
- - name: ADVERTISED_PORT
- value: "9092"
diff --git a/resources/tools/presentation/conf.py b/resources/tools/presentation/conf.py
index 1b9ace729a..49cd975d8e 100644
--- a/resources/tools/presentation/conf.py
+++ b/resources/tools/presentation/conf.py
@@ -101,7 +101,6 @@ rst_epilog = """
.. _FD.io test executor vpp performance job 3n-tsh: https://jenkins.fd.io/view/csit/job/csit-vpp-perf-verify-{srelease}-3n-tsh
.. _FD.io test executor vpp performance job 3n-dnv: https://jenkins.fd.io/view/csit/job/csit-vpp-perf-verify-{srelease}-3n-dnv
.. _FD.io test executor vpp performance job 2n-dnv: https://jenkins.fd.io/view/csit/job/csit-vpp-perf-verify-{srelease}-2n-dnv
-.. _FD.io test executor ligato performance jobs: https://jenkins.fd.io/job/csit-ligato-perf-{srelease}-all
.. _FD.io test executor vpp functional jobs using Ubuntu: https://jenkins.fd.io/view/csit/job/csit-vpp-functional-{srelease}-ubuntu1604-virl
.. _FD.io test executor vpp functional jobs using CentOs: https://jenkins.fd.io/view/csit/job/csit-vpp-functional-{srelease}-centos7-virl
.. _FD.io test executor vpp device jobs using Ubuntu: https://jenkins.fd.io/view/csit/job/csit-vpp-device-{srelease}-ubuntu1804-1n-skx